USERADD(8)

NOM
useradd - créer un nouvel utilisateur ou modifier les informations par défaut appliquées aux nouveaux utilisateurs

SYNOPSIS

useradd [options] LOGIN

useradd -D

useradd -D [options]

DESCRIPTION

When invoked without the -D option, the useradd command creates a new user account using the values specified on the command line plus the default values from the system. Depending on command line options, the useradd command will update system files and may also create the new user's home directory and copy initial files.

OPTIONS

Les options disponibles pour la commande useradd sont :

-b, --base-dir RÉP_BASE
    The default base directory for the system if -d HOME_DIR is not specified. BASE_DIR is concatenated with the account name to define the home directory. If the -m option is not used, BASE_DIR must exist.

-c, --comment COMMENTAIRE
    Toute chaîne de texte. C'est généralement une description courte du compte, elle est actuellement utilisée comme champ pour le nom complet de l'utilisateur.

-d, --home RÉP_PERSO
    Le nouvel utilisateur sera créé en utilisant RÉP_PERSO comme valeur de répertoire de connexion de l'utilisateur. Le comportement par défaut est de concaténer UTILISATEUR au répertoire RÉP_BASE, et de l'utiliser en tant que nom de répertoire de connexion. Il n'est pas nécessaire que le répertoire RÉP_PERSO existe mais il ne sera pas créé s'il n'existe pas.

-D, --defaults
    See below, the subsection "Changing the default values".

-e, --expiredate DATE_FIN_VALIDITÉ
    Date à laquelle le compte utilisateur sera désactivé. La date est indiquée dans le format AAAA-MM-JJ.

-f, --inactive DURÉE_INACTIVITÉ
    Nombre de jours suivant la fin de validité d'un mot de passe après lequel le compte est définitivement désactivé. Une valeur de 0 désactive le compte dès que le mot de passe a dépassé sa fin de validité, et une valeur de -1 désactive cette fonctionnalité. La valeur par défaut est de -1.

-g, --gid GROUPE
    Nom ou ou numéro du groupe de connexion initial de l'utilisateur. Le nom du groupe doit exister. Un numéro de groupe doit se référer à un groupe existant. Le numéro de groupe par défaut est de 1, ou la valeur indiquée dans /etc/default/useradd.

-G, --groups GROUPE1[,GROUPE2,...[,GROUPEN]]]
    Liste de groupes supplémentaires auxquels appartient également l'utilisateur. Chaque groupe est séparé du suivant par une virgule, sans espace entre eux. Les groupes sont soumis aux mêmes restrictions que celles de l'option -g. Le comportement par défaut pour l'utilisateur est de n'appartenir qu'au groupe initial.

-h, --help
    Afficher un message d'aide et quitter.

-k, --skel SKEL_DIR
    The skeleton directory, which contains files and directories to be copied in the user's home directory, when the home directory is created by useradd.

    This option is only valid if the -m (or --create-home) option is specified.

    If this option is not set, the skeleton directory is defined in /etc/default/useradd or, by default, /etc/skel.

-K, --key CLÉ=VALEUR
    Surcharge les valeurs par défaut du fichier /etc/login.defs (UID_MIN, UID_MAX, UMASK, PASS_MAX_DAYS et autres). Par exemple : -K PASS_MAX_DAYS=-1 peut être utilisé pour la création de comptes système pour désactiver la gestion de la durée de validité des mots de passe, même si les comptes système n'ont pas de mot de passe. Plusieurs options -K peuvent être spécifiées, comme par exemple : -K UID_MIN=100 -K UID_MAX=499

    Note : -K UID_MIN=10,UID_MAX=499 ne fonctionne pas pour l'instant.

-l
    Do not add the user to the lastlog and faillog databases.

    By default, the user's entries in the lastlog and faillog databases are resetted to avoid reusing the entry from a previously deleted user.

-m, --create-home
    Create the user's home directory if it does not exist. The files and directories contained in the skeleton directory (which can be defined with the -k option) will be copied to the home directory.

    By default, no home directories are created.

-N, --no-user-group
    Do not create a group with the same name as the user, but add the user to the group specified by the -g option or by the GROUP variable in /etc/default/useradd.

    The default behavior (if the -g, -N, and -U options are not specified) is defined by the USERGROUPS_ENAB variable in login.defs.

-o, --non-unique
    Permet de créer un compte d'utilisateur avec un identifiant (« UID ») dupliqué (non unique).

-p, --password MOT_DE_PASSE
    Le mot de passe chiffré, comme renvoyé par crypt(3). Le comportement par défaut est de désactiver le compte.

-r, --system
    Create a system account.

    System users will be created with no aging information in /etc/shadow, and their numeric identifiers are choosen in the SYS_UID_MIN-SYS_UID_MAX range, defined in login.defs, instead of UID_MIN-UID_MAX (and their GID counterparts for the creation of groups).

-s, --shell INTERPRÉTEUR
    Le nom de l'interpréteur de commandes initial de l'utilisateur (« login shell »). Le comportement par défaut est de laisser ce champ vide. Le système sélectionnera alors l'interpréteur par défaut.

-u, --uid UID
    La valeur numérique de l'identifiant de l'utilisateur. Cette valeur doit être unique, à moins que l'option -o ne soit utilisée. La valeur ne doit pas être négative. Le comportement par défaut est d'utiliser la plus petite valeur d'identifiant plus grande que 999, et plus grande que celle des identifiants de tous les autres utilisateurs. Les valeurs comprises entre 0 et 999 sont généralement réservées pour les comptes systèmes.

-U, --user-group
    Create a group with the same name as the user, and add the user to this group.

    The default behavior (if the -g, -N, and -U options are not specified) is defined by the USERGROUPS_ENAB variable in login.defs.

  Modifier les valeurs par défaut

When invoked with only the -D option, useradd will display the current default values. When invoked with -D plus other options, useradd will update the default values for the specified options. Valid default-changing options are:

-b, --base-dir RÉP_BASE
    The path prefix for a new user's home directory. The user's name will be affixed to the end of BASE_DIR to form the new user's home directory name, if the -d option is not used when creating a new account.

-e, --expiredate DATE_FIN_VALIDITÉ
    Date à laquelle le compte utilisateur sera désactivé.

-f, --inactive DURÉE_INACTIVITÉ
    Nombre de jours après la fin de validité d'un mot de passe avant que le compte ne soit désactivé.

-g, --gid GROUPE
    Nom de groupe ou identifiant numérique du groupe initial d'un nouvel utilisateur. Le groupe spécifié doit exister, et un identifiant de groupe numérique doit déjà exister.

-s, --shell INTERPRÉTEUR
    The name of a new user's login shell.

NOTES

L'administrateur système doit se charger de placer les fichiers par défaut dans le répertoire /etc/skel.

AVERTISSEMENTS

You may not add a user to a NIS or LDAP group. This must be performed on the corresponding server.

Similarly, if the username already exists in an external user database such as NIS or LDAP, useradd will deny the user account creation request.

Les noms d'utilisateur doivent commencer par une lettre minuscule ou un tiret bas (« underscore »), et seuls des lettres minuscules, des chiffres, des « underscore », des tirets ou un dollar peuvent suivre. Soit, sous la forme d'une expression rationnelle : [a-z_][a-z0-9_-]*[$]

CONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

GID_MAX (number), GID_MIN (number)
    Range of group IDs used for the creation of regular groups by useradd, useradd, or newusers.

MAIL_DIR (string)
    Répertoire d'attente des courriels (« mail spool directory »). Ce paramètre est nécessaire pour manipuler les boîtes à lettres lorsque le compte d'un utilisateur est modifié ou supprimé. S'il n'est pas spécifié, une valeur par défaut définie à la compilation est utilisée.

MAIL_FILE (string)
    Defines the location of the users mail spool files relatively to their home directory.

The MAIL_DIR and MAIL_FILE variables are used by useradd, usermod, and userdel to create, move, or delete the user's mail spool.

If MAIL_CHECK_ENAB is set to yes, they are also used to define the MAIL environment variable.

MAX_MEMBERS_PER_GROUP (number)
    Maximum members per group entry. When the maximum is reached, a new group entry (line) is started in /etc/group (with the same name, same password, and same GID).

    The default value is 0, meaning that there are no limits in the number of members in a group.

    This feature (split group) permits to limit the length of lines in the group file. This is useful to make sure that lines for NIS groups are not larger than 1024 characters.

    If you need to enforce such limit, you can use 25.

    Note: split groups may not be supported by all tools (even in the Shadow toolsuite. You should not use this variable unless you really need it.

PASS_MAX_DAYS (number)
    Nombre maximum de jours de validité d'un mot de passe. Après cette durée, une modification du mot de passe est obligatoire. S'il n'est pas précisé, la valeur de -1 est utilisée (ce qui enlève toute restriction).

PASS_MIN_DAYS (number)
    Nombre minimum de jours autorisé avant la modification d'un mot de passe. Toute tentative de modification du mot de passe avant cette durée est rejetée. S'il n'est pas précisé, la valeur de -1 est utilisée (ce qui enlève toute restriction).

PASS_WARN_AGE (number)
    Nombre de jours durant lesquels l'utilisateur recevra un avertissement avant que son mot de passe n'arrive en fin de validité. Une valeur négative signifie qu'aucun avertissement n'est donné. S'il n'est pas précisé, aucun avertissement n'est donné.

SYS_GID_MAX (number), SYS_GID_MIN (number)
    Range of group IDs used for the creation of system groups by useradd, groupadd, or newusers.

SYS_UID_MAX (number), SYS_UID_MIN (number)
    Range of user IDs used for the creation of system users by useradd or newusers.

UID_MAX (number), UID_MIN (number)
    Range of user IDs used for the creation of regular users by useradd or newusers.

UMASK (number)
    Valeur d'initialisation du masque de permissions. S'il n'est pas précisé, le masque des permissions sera initialisé à 022.

USERGROUPS_ENAB (boolean)
    Enable setting of the umask group bits to be the same as owner bits (examples: 022 -> 002, 077 -> 007) for non-root users, if the uid is the same as gid, and username is the same as the primary group name. If set to yes, userdel will remove the user's group if it contains no more members, and useradd will create by default a group with the name of the user.

FICHIERS

/etc/passwd
    Informations sur les comptes des utilisateurs.

/etc/shadow
    Informations sécurisées sur les comptes utilisateurs.

/etc/group
    Informations sur les groupes.

/etc/gshadow
    Informations sécurisées sur les groupes.

/etc/default/useradd
    Valeurs par défaut pour la création de comptes.

/etc/skel/
    Répertoire contenant les fichiers par défaut.

/etc/login.defs
    Configuration de la suite des mots de passe cachés « shadow password ».

VALEURS DE RETOUR

La commande useradd retourne les valeurs suivantes en quittant :

0
    succès

1
    impossible de mettre à jour le fichier des mots de passe

2
    erreur de syntaxe

3
    paramètre non valable pour l'option

4
    UID déjà utilisé (et pas d'option -o)

6
    le groupe spécifié n'existe pas

9
    nom d'utilisateur déjà utilisé

10
    impossible de mettre à jour le fichier des groupes

12
    impossible de créer le répertoire personnel

13
    impossible de créer le répertoire d'attente des courriels

VOIR AUSSI

chfn(1), chsh(1), passwd(1), crypt(3), groupadd(8), groupdel(8), groupmod(8), login.defs(5), newusers(8), userdel(8), usermod(8).